#include "fvCFD.H"
#include "pisoControl.H"
#include "mapLagrangian.C"
#include "mapMeshes.C"

int main(int argc, char *argv[])
{
    #include "setRootCaseLists.H"
    #include "createTime.H"
    #include "createMesh.H"
    pisoControl piso(mesh);
    #include "createFields.H"
    #include "CourantNo.H"

    while (piso.loop(runTime))
    {
        Info<< "Time = " << runTime.userTimeName() << nl << endl;

        fvScalarMatrix TEqn
        (
            fvm::ddt(T)
          + fvm::div(phip, T, "div(phi,T)")
          - fvm::laplacian(nut/0.27 + nu, T)
        );

        TEqn.relax();
        TEqn.solve();

        runTime.write();
    }

    Info<< "End\n" << endl;

    return 0;
}


